# Search clubs

MCP tool `search_clubs` on the server at https://tm-api.devinpearson.me/mcp

Find clubs by name (at least 2 characters) in the current fiscal year, optionally within one district.

**Arguments**

- `name` (string, required): Part of the club's name, e.g. "sages"
- `district` (string, optional): District, e.g. "74"; "U" is undistricted, "F" the Founders District
- `limit` (integer, optional): Most results to return (default 20)

**Example call**

```bash
curl -X POST "https://tm-api.devinpearson.me/mcp" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json, text/event-stream" \
  -d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"search_clubs","arguments":{"name":"sages"}}}'
```
